using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace 开发辅助工具.Tools
{
    public partial class FrmProjectSearch : Form
    {
        public FrmProjectSearch()
        {
            InitializeComponent();
            CbbAutoVer.SelectedIndex = 0;
        }

        private void FrmProjectSearch_Load(object sender, EventArgs e)
        {
            ryCommon.RyFiles.AddDropDrag(TxtFolder.Handle).ElevatedDragDrop += FrmCreateProject_ElevatedDragDrop;
        }
        private void FrmCreateProject_ElevatedDragDrop(object sender, ElevatedDragDropArgs e)
        {
            TxtFolder.Text = e.Files[0];
        }
        /// <summary>
        /// 是否处理版本信息
        /// </summary>
        bool DealWithVer_ON = false;
        /// <summary>
        /// 处理版本信息的方式
        /// </summary>
        int AutoVer = 0;
        private void AutoScan(string folder)
        {
            Manager.RyProject project = new Manager.RyProject();
            project.ChangedOutputPath = false;
            project.CopyDllToBin = false;
            project.UpdateCSproj(folder);
            this.Invoke(new Action(() =>
            {
                MessageBox.Show("更新完成。", "提示", MessageBoxButtons.OK, MessageBoxIcon.Information); 
            }));
        }

        private void BtnScan_Click(object sender, EventArgs e)
        {
            DealWithVer_ON = ChkDealWithVer.Checked;
            AutoVer = CbbAutoVer.SelectedIndex = 0;
        }
    }
}
